EtherChina 翻译流程
==================

当前 EtherChina 正在进行的翻译项目为 [Solidity 官方文档](https://github.com/ethereum/solidity/blob/develop/docs/index.rst)。
英文版官方文档获取地址是 [Solidity 官方文档版本快照](https://github.com/etherchina/solidity/tree/develop/docs)，请使用此版本快照翻译。

本项目进行的翻译遵循以下原则：

- 尊重原文档的结构、格式
- 采用译、校、审流程
- 保持对上游文档的更新

### 流程说明

翻译流程主要分为以下几个环节：

- 翻译，包括译者初译、修改等工作
	- 选择尚未被认领的工单，备注认领信息
	- 进行翻译和自我校对……
	- 将翻译成果通过 PR（包含文档的commit hash） 的方式提交到仓库，等待校对意见
	- 根据校对意见进行修改，并再次提交 PR
	- 通过终审后，此篇完结
- 初校，对译者完成的翻译进行初步校对，主要涉及：
	- 版式检查，是否破坏了原文版式、是否丢失了格式标签，是否破坏了文内的代码表述
	- 链接检查，是否丢失内链、外链，图片引入是否正常
	- 用语检查，是否通顺，是否采用口语化叙述，是否违例术语库
  如果初校过程中发现译文问题较多，可驳回要求译者修改，并指出重点问题。
- 复校，对经过了初校的译文进行英文对比，主要涉及：
	- 是否有理解错误
	- 是否遗漏原文语素
	- 是否内容错乱
  如果复校过程中发现译文问题较多，可驳回要求译者修改，并指出重点问题。
- 终审，对进行过校对的文章整体审阅，符合项目质量、风格要求的译文，提交进入 develop 分支。

#### 管理者流程

- 导入原文，在上游更新后，引入更新
- 设置工单，为每个新引入或更新的文章设立一个工单，并以工单进行进行反馈
- 每日更新项目状态，记录整个项目各个页面的进度。（详见项目进度页说明）
- 合并进入 develop 分支
- 发布到 master 分支

### 译者加入流程

1. 通过其他渠道或者 hiblock 社区报名翻译小组，然后会进入 Bob 组织的一个微信群，里面是翻译候选人
2. 进行试译流程，就是翻译一个段落，以 1000 字为限，时间限制为 1 天。
3. 如果通过就进入 solidity 翻译小组，进入翻译流程。

注：没有Github操作经验的同学，请参考[Github操作入门](https://github.com/etherchina/solidity-doc-cn/wiki)

### 项目进度状态页

项目进度页面是一个列表，按照每个章节列出该章节的翻译进度，以及整体进度。该页面每天进行更新，由项目管理者进行维护。

每个章节列出以下信息：

	- 章节文件名
	- 状态（[未认领|认领|初校|复校|终审]）
	- 章节长度
	- 章节译者
        - commit hash
	- 认领时间
	- 最后更新时间（无论是译者还是校对）

### 术语与术语库

项目需要维护一个术语库，用于统一文档翻译中的术语使用。

术语库由项目管理者进行审核和维护，并在增加新的术语时通告全群，请大家提出修改意见，如无异议则遵照执行（如果需要修改既有翻译，需要逐一查找修改）。

术语库内的术语使用 RAW 格式的 HTML 5 RUBY 标签，鉴于主流浏览器和微信都支持它。格式如下：

```
.. |glossary| raw:: html
  <ruby>术语<rp>（</rp><rt>glossary</rt><rp>）</rp></ruby>
```

而其它页面则在首部采用 `.. include :: glossary.rst` 标签统一引入术语库，并在使用该术语处采用 `|glossary|` 来引用该术语。
